Rysunek Roboczy: Prostokąt

From FreeCAD Documentation
Revision as of 07:07, 5 August 2021 by Kaktus (talk | contribs) (Created page with "* Tworzy obiekt {{incode|Prostokąt}} o {{incode|Długości}} w kierunku X i {{incode|Wysokości}} w kierunku Y, z jednostkami w milimetrach. * Jeśli parametr {{incode|Umiejs...")

Draft: Prostokąt

Lokalizacja w menu
Drafting → Prostokąt
Środowisko pracy
Rysunek roboczy, Architektura
Domyślny skrót
R E
Wprowadzono w wersji
0.7
Zobacz także
brak

Opis

Polecenie Prostokąt tworzy prostokąt w bieżącej płaszczyźnie roboczej przy uzyciu dwóch punktów.

Rogi prostokąta mogą być zaokrąglone lub sfazowane poprzez zmianę właściwości DANEPromień zaokrąglenia lub DANERozmiar fazki. Możliwe jest również podzielenie prostokąta przez zmianę jego właściwości DANEKolumny i/lub DANERzędy.

Prostokąt zdefiniowany przez dwa punkty

Użycie

Zobacz również Tacka narzędziowa, Przyciąganie oraz Wiązania.

  1. There are several ways to invoke the command:
    • Press the Draft Rectangle button.
    • Select the Drafting → Rectangle option from the menu.
    • Use the keyboard shortcut: R then E.
  2. The Rectangle task panel opens. See Options for more information.
  3. Pick the first point in the 3D view, or type coordinates and press the Enter point button.
  4. Pick the second point in the 3D view, or type coordinates and press the Enter point button. This point must not be constrained to the X, Y or Z axis.

Opcje

Skróty klawiaturowe jedno znakowe dostępne w panelu zadań można zmienić. Zobacz stronę Preferencji. Skróty wymienione tutaj są skrótami domyślnymi.

  • To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first point, else they are relative to the coordinate system origin.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press L or click the Filled checkbox to toggle filled mode. If filled mode is on, the created rectangle will have DANEMake Face set to true and will have a filled face.
  • Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating rectangles.
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to abort the command.

Uwagi

  • A Draft Rectangle can be edited with the Draft Edit command.

Ustawienia

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Plane instead of a Draft Rectangle.

Właściwości

Zobacz również stronę: Edytor właściwości.

Obiekt Prostokąt wywodzi się z obiektu Część: Part2DObject i dziedziczy wszystkie jego właściwości. Posiada on również następujące dodatkowe właściwości:

Dane

Rysunek Roboczy

  • DANEArea (Area): (read-only) specifies the area of the face of the rectangle. The value will be 0.0 if DANEMake Face if false.
  • DANEChamfer Size (Length): specifies the length of the chamfers at the corners of the rectangle.
  • DANEColumns (Integer): specifies the number of equal-sized columns in which the rectangle is divided.
  • DANEFillet Radius (Length): specifies the radius of the fillets at the corners of the rectangle.
  • DANEHeight (Distance): specifies the height of the rectangle.
  • DANELength (Distance): specifies the length of the rectangle.
  • DANEMake Face (Bool): specifies if the rectangle makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object.
  • DANERows (Integer): specifies the number of equal-sized rows in which the rectangle is divided.

Widok

Rysunek Roboczy

  • WIDOKPattern (Enumeration): specifies the Draft Pattern with which to fill the face of the rectangle. This property only works if DANEMake Face is true and if WIDOKDisplay Mode is Flat Lines.
  • WIDOKPattern Size (Float): specifies the size of the Draft Pattern.
  • WIDOKTexture Image (File): specifies the path of the image file to be mapped onto the face of the rectangle. Blanking this property will remove the image. The rectangle should have the same proportions as the image to avoid distortions.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy pisania skryptów dla FreeCAD.

Aby utworzyć prostokąt użyj metody mmake_rectangle modułu Rysunek Roboczy (dostępne w wersji 0.19). Ta metoda zastępuje przestarzałą metodę makeRectangle.

rectangle = make_rectangle(length, height, placement=None, face=None, support=None)
  • Tworzy obiekt Prostokąt o Długości w kierunku X i Wysokości w kierunku Y, z jednostkami w milimetrach.
  • Jeśli parametr Umiejscownienie ma wartość Brak, prostokąt zostanie utworzony w punkcie początkowym, a jego długość będzie równoległa do osi X.
  • Jeśli parametr Ściana ma wartość Prawda, prostokąt zostanie utworzony jako powierzchnia, czyli będzie wyglądał na wypełniony.

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle1 = Draft.make_rectangle(4000, 1000)
rectangle2 = Draft.make_rectangle(1000, 4000)

zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 45))

rectangle3 = Draft.make_rectangle(3500, 250, placement=place3)

doc.recompute()